import SwiftUI

struct ContentView: View {
    var body: some View {
        Form {
            Section {
                // Version 1: String label & String value
                LabeledContent("Pikachu", value: "#25")

                // Version 2: String label & formatted value
                LabeledContent("Pikachu", value: 25, format: .number)

                // Version 3: String label & any View as value
                LabeledContent("Region") {
                    Image(systemName: "globe.europe.africa.fill")
                    Text("Kanto")
                }

                // Version 4: Any View as value & any View as a label
                LabeledContent {
                    VStack(alignment: .leading) {
                        Text("#025 Pikachu")
                        Text("#149 Dragonite")
                        Text("#249 Lugia")
                        Text("#145 Zapdos")
                        Text("#150 Mewtwo")
                        Text("#132 Ditto")
                    }
                } label: {
                    Text("Team")
                    Text("#1")
                }
            }
        }
    }
}
